import React from 'react'
import Header from './layout/components/Header'
import Routes from './routes'

/** Import CSS Styles */
import 'bootstrap/dist/css/bootstrap.min.css'
import './App.css'

/** Main application */
class Main extends React.Component {
  render () {
    return (
      <div className='container'>
        {console.log('Main route', this)}
        <Header />
        <Routes {...this.props} />
      </div>
    )
  }
}

export default Main
