class Module {
  /** e.g. Module userProfile */
  constructor (name) {
    this.name = name
  }

  /** e.g. Upload the avatar file */
  addAsyncState (name, defaultState, asyncFunction) {
    if (!this.state) {
      this.state = {}
    }
    this.state[name] = defaultState
    if (!this.actionCreators) {
      this.actionCreators = {}
    }
    ['init', 'success', 'failure'].forEach(state => {
      const actionType = `${this.name}_${name}_${state}`.toUpperCase()
      const actionCreatorName = `${this.name}${name[0].toUpperCase() + name.substring(1)}${state[0].toUpperCase() + state.substring(1)}`
      this.actionCreators[actionCreatorName] = args => {
        return {
          type: actionType,
          ...args
        }
      }
      const reducerLogic = action => {}
    })
  }

  /**  */
  addDatabaseState () {}

  /**  */
  addLocalstorageState () {}
}
