import React from 'react'
import { Pagination, Popover, OverlayTrigger } from 'react-bootstrap'


class TableHeader extends React.Component {
  render () {
    const { headers, data, actions } = this.props
    const filters = {}
    headers.forEach(header => {
      
    })
    return (
      <thead>
        <tr>
          {headers.map(header => 
            <th>{header} <OverlayTrigger trigger='click' placement='bottom' overlay={}><span class='glyphicon glyphicon-filter'></span></OverlayTrigger></th>
          )}
        </tr>
      </thead>
    )
  }
}

class Table extends React.Component {
  changePagination (event) {
    const { actions } = this.props
    event.preventDefault()
    actions.changePagination(event)
  }

  render () {
    const { options, data, pagination } = this.props
    if (!data.hasOwnProperty('headers')) {
      data.headers = data.rows.map()
    }
    return (
      <div>
        <table class='table table-hover table-bordered table-condensed'>
          <TableHeader headers={data.headers} />
          <TableBody rows={data.rows} />
        </table>
        <Pagination
          prev next
          first last
          ellipsis
          items={pagination.items}
          maxButtons={5}
          activePage={pagination.activePage}
          onSelect={this.changePagination}
        />
      </div>
    )
  }
}

export default Table
