import mongoose from 'mongoose'
import bcrypt from 'bcrypt'

const PlayerSchema = new mongoose.Schema({
  name: {
    type: String,
    unique: true,
    required: true
  },
  firstName: {
    type: String,
    required: true
  },
  licenseNr: {
    type: String
  },
  birthDate: {
    type: String,
    required: true
  },
  gender: {
    type: String,
    required: true
  },
  phonePrivate: {
    type: String,
    required: true
  },
  phoneWork: {
    type: String,
    required: true
  },
  phoneMobile: {
    type: String,
    required: true
  },
  email: {
    type: String,
    required: true
  },
  ranking: {
    type: String,
    required: true
  },
  nameDP: {
    type: String,
    unique: true,
    required: true
  },
  firstNameDP: {
    type: String,
    required: true
  },
  licenseNrDP: {
    type: String
  },
  birthDateDP: {
    type: String,
    required: true
  },
  rankingDP: {
    type: String,
    required: true
  },
  confirmed: {
    type: Boolean,
    required: true
  },
  payed: {
    type: Date
  },
  matches: {
    type: [String]
  }
})

    this.Konkurrenz = normalize(data[0])
    this.Matches = []
    this.isDoubles = !!this.Konkurrenz.match(/DM.*|[MW]D.*/)
    this.isJunior = (this.Geburtsdatum) ? this.Geburtsdatum.getTime() >= (new Date((new Date()).getFullYear() - 19, 11, 31, 23, 59, 59, 999)).getTime() : false
    this.isJuniorDP = (this.isDoubles && this.GeburtsdatumDP) ? this.GeburtsdatumDP.getTime() >= (new Date((new Date()).getFullYear() - 19, 11, 31, 23, 59, 59, 999)).getTime() : false
    this.name = this.isDoubles ? `${this.Name} ${this.Vorname} / ${this.NameDP} ${this.VornameDP}` : `${this.Name} ${this.Vorname}`
    if (this.Mobile && this.Mobile.match(reMobile)) {
      this.phone = this.Mobile
    } else if (this.TelP && this.TelP.match(reMobile)) {
      this.phone = this.TelP
    } else if (this.TelG && this.TelG.match(reMobile)) {
      this.phone = this.TelG
    } else if (this.Mobile && this.Mobile.match(/FEHLER/)) {
      this.phone = this.Mobile
    } else if (this.TelP && this.TelP.match(/FEHLER/)) {
      this.phone = this.TelP
    } else if (this.TelG && this.TelG.match(/FEHLER/)) {
      this.phone = this.TelG
    }
  }

const Player = mongoose.model('Player', PlayerSchema)

export default Player
